import { LoadingOverlay } from "@/components";
import { useLogout } from "@/lib/hooks/useAuth/useLogout";
import { useEffect } from "react";

export const LogoutPage = () => {
  const { mutate: logout } = useLogout({});

  useEffect(() => {
    return logout();
  }, [logout]);

  return <LoadingOverlay />;
};
